swagger: '2.0'
info:
  version: v1
  title: AuthApi
host: my.wanfangdata.com.cn
basePath: /auth/user
schemes:
  - https
paths:
  /suballredirectlogin.do:
    get:
      tags:
        - Auth
      summary: 认证
      operationId: Login
      produces:
        - application/json
      parameters:
        - name: username
          in: query
          type: string
          description: 用户名
          required: true
        - name: password
          in: query
          type: string
          description: 密码
          required: true
      responses:
        '200':
          description: OK
          schema:
            $ref: '#/definitions/AuthResponse'
definitions:
  AuthResponse:
    description: 认证响应
    type: object
    properties:
      status:
        description: 状态
        type: integer
      ticketGrantingTicket:
        description: token
        type: string
      message:
        description: 错误消息
        type: string
